SIS(4) manual page

Table of Contents

## Name

sis - SiS video driver

## Synopsis

    Section "Device"
      Identifier "devname"
      Driver "sis"
      ...
    EndSection

## Description

sis is an XFree86 driver for SiS video cards. The driver is accelerated, and provides support for 8, 16 and 24 colordepths. XVideo, Render and other extensions are supported as well.

## Supported Hardware

The sis driver supports PCI and AGP video cards based on the following chipsets:

SIS5597 SIS5598 SIS530 SIS6326 SIS300 SIS540 SIS630

## Configuration Details

Please refer to XF86Config(5x) for general configuration details. This section only covers configuration details specific to this driver.

The driver will auto-detect the amount of video memory present for all chips, but in the 6326 case, it will limit the memory size to 4MB. This is because of a bug (in docs at least). You can override this using the "VideoRAM" option in the device section if your board has more than 4MB and you need to use it (maybe with cursor problems).

If you have problems getting high resolutions because of dot clock limitations, try using the "DacSpeed" option, also in the device section.

The following driver Options are supported:

Option "NoAccel" "boolean"
  Disable or enable acceleration. Default: acceleration is enabled.
Option "HWCursor" "boolean"
  Enable or disable the HW cursor. Default: on.
Option "SWCursor" "boolean"
  The opposite of HWCursor. Default: off.
Option "NoXVideo*q "boolean"
  Disable XV (XVideo) extension support. Default: off.
Option "SetMClk" "integer"
  Set the memory clock. Value in MHz. Default: autodetect.
Option "PciRetry" "boolean"
  Enable or disable PCI retries. Default: on.
Option "TurboQueue" "boolean"
  Enable or disable TurboQueue mode. Default: off for SIS530, on for the others
Option "FastVram" "boolean"
  Enable or disable FastVram mode. Default: on.
Option "Rotate" "CW"
  Rotate the display clockwise. This mode is unaccelerated, and uses the Shadow Frame Buffer layer. Default: no rotation.
Option "Rotate" "CCW"
  Rotate the display counterclockwise. This mode is unaccelerated, and uses the Shadow Frame Buffer layer. Default: no rotation.
Option "ForceCRT2Type" "string"
  Force display type to one of: TV, LCD or VGA. Default: auto detect.
Option "ShadowFB" "boolean"
  Enable or disable use of the shadow framebuffer layer. Default: off.
Option "NoXVideo" "boolean"
  Enable or disable use of the video scaler. Default: off.
Option "VESA" "boolean"
  Force use of VESA BIOS initialization on or off. Default: If option is not set: chipset dependent.
Option "MaxXFBMem" "integer"
  Amount of video memory to use for X. This option is useful to reserve some memory from the top of the video memory for 3D. Under Linux 3D memory is currently handled by the sisfb kernel driver. Default: use all video memory for X.

## See Also

XFree86(1) , XF86Config(5x) , xf86config(1) , Xserver(1) , X(7)

## Authors

Authors include: Alan Hourihane, Mike Chapman, Juanjo Santamarta, Mitani Hiroshi, David Thomas, Sung-Ching Lin, Ademar Reis

Table of Contents

- Name
- Synopsis
- Description
- Supported Hardware
- Configuration Details
- See Also
- Authors